import request from '@/utils/request'

// 查询列宽修改列表
export function listSet(query) {
  return request({
    url: '/system/set/list',
    method: 'get',
    params: query
  })
}

// 查询列宽修改详细
export function getSet(id) {
  return request({
    url: '/system/set/' + id,
    method: 'get'
  })
}

// 新增列宽修改
export function addSet(data) {
  return request({
    url: '/system/set',
    method: 'post',
    data: data
  })
}


// 修改列宽修改
export function updateSet(data) {
  return request({
    url: '/system/set',
    method: 'put',
    data: data
  })
}

// 删除列宽修改
export function delSet(id) {
  return request({
    url: '/system/set/' + id,
    method: 'delete'
  })
}

// 导出列宽修改
export function exportSet(query) {
  return request({
    url: '/system/set/export',
    method: 'get',
    params: query
  })
}

// 查找列
export function select(query) {
  return request({
    url: '/system/set/select',
    method: 'get',
    params: query
  })
}